# PhasicFlow: timeFlowControl Class Reference

timeFlowControl Class Reference
Inheritance diagram for timeFlowControl:
[legend]

## Public Member Functions

| timeFlowControl (const dictionary &dict)
bool | insertionTime (real currentTime, real dt)
size_t | totalInserted () const
bool | read (const dictionary &dict)
bool | write (dictionary &dict) const

## Protected Member Functions

bool | readTimeFlowControl (const dictionary &dict)
bool | writeTimeFlowControl (dictionary &dict) const
size_t | numberToBeInserted (real currentTime)
size_t | addToNumInserted (size_t newInserted)

## Protected Attributes

real | startTime_
real | endTime_
real | interval_
real | rate_
size_t | numInserted_ = 0

## Detailed Description

Definition at line 32 of file timeFlowControl.hpp.

## Constructor & Destructor Documentation

## timeFlowControl()

timeFlowControl | ( | const dictionary & | dict | ) |

Definition at line 52 of file timeFlowControl.cpp.

References fatalExit.

## Member Function Documentation

## readTimeFlowControl()

bool readTimeFlowControl | ( | const dictionary & | dict | ) |

protected

Definition at line 25 of file timeFlowControl.cpp.

References dictionary::getVal().

Referenced by timeFlowControl::read().

Here is the call graph for this function:
Here is the caller graph for this function:

## writeTimeFlowControl()

bool writeTimeFlowControl | ( | dictionary & | dict | ) | const

protected

Definition at line 38 of file timeFlowControl.cpp.

References dictionary::add().

Referenced by timeFlowControl::write().

Here is the call graph for this function:
Here is the caller graph for this function:

## numberToBeInserted()

size_t numberToBeInserted | ( | real | currentTime | ) |

inlineprotected

Definition at line 50 of file timeFlowControl.hpp.

References timeFlowControl::endTime_, timeFlowControl::interval_, timeFlowControl::numInserted_, timeFlowControl::rate_, and timeFlowControl::startTime_.

## addToNumInserted()

size_t addToNumInserted | ( | size_t | newInserted | ) |

inlineprotected

Definition at line 58 of file timeFlowControl.hpp.

References timeFlowControl::numInserted_.

## insertionTime()

bool insertionTime | ( | real | currentTime,
|  | real | dt
| ) |  |

inline

Definition at line 69 of file timeFlowControl.hpp.

References pFlow::abs(), timeFlowControl::endTime_, timeFlowControl::interval_, pFlow::mod(), and timeFlowControl::startTime_.

Here is the call graph for this function:

## totalInserted()

size_t totalInserted | ( |  | ) | const

inline

Definition at line 79 of file timeFlowControl.hpp.

References timeFlowControl::numInserted_.

## read()

bool read | ( | const dictionary & | dict | ) |

inline

Definition at line 84 of file timeFlowControl.hpp.

References timeFlowControl::readTimeFlowControl().

Referenced by insertionRegion::read().

Here is the call graph for this function:
Here is the caller graph for this function:

## write()

bool write | ( | dictionary & | dict | ) | const

inline

Definition at line 89 of file timeFlowControl.hpp.

References timeFlowControl::writeTimeFlowControl().

Referenced by insertionRegion::write().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## startTime_

real startTime_

protected

Definition at line 36 of file timeFlowControl.hpp.

Referenced by timeFlowControl::insertionTime(), and timeFlowControl::numberToBeInserted().

## endTime_

real endTime_

protected

Definition at line 38 of file timeFlowControl.hpp.

Referenced by timeFlowControl::insertionTime(), and timeFlowControl::numberToBeInserted().

## interval_

real interval_

protected

Definition at line 40 of file timeFlowControl.hpp.

Referenced by timeFlowControl::insertionTime(), and timeFlowControl::numberToBeInserted().

## rate_

real rate_

protected

Definition at line 42 of file timeFlowControl.hpp.

Referenced by timeFlowControl::numberToBeInserted().

## numInserted_

size_t numInserted_ = 0

protected

Definition at line 44 of file timeFlowControl.hpp.

Referenced by timeFlowControl::addToNumInserted(), timeFlowControl::numberToBeInserted(), and timeFlowControl::totalInserted().

The documentation for this class was generated from the following files:

- src/Particles/Insertion/insertionRegion/timeFlowControl.hpp
- src/Particles/Insertion/insertionRegion/timeFlowControl.cpp